% Kreslenie sinus.priebehov rôznej frekvencie (násobkov) do dvoch osí 
% (Lissajousove obrazce, https://en.wikipedia.org/wiki/Lissajous_curve)
% Možno meniť fázu signálu s2 a podľa uhla naklopenia sinuosvky 
% sa určí fáza druhého signálu voči prvému (skúšajte pi/6, pi/4, pi/3)
clc, clear

% Násobky dvoch frekvencií privedené na os x a y
% pri nulovom fázovom posune (vyskúšať iný fázový posun)
t=linspace(0,2*pi,10000);
figure(1)
subplot (141)
    s1 = sin(2*pi*1*t);
    s2 = sin(2*pi*1*t+pi/2); 
    plot(s1,s2,'LineWidth',1.5), grid on, title ('1:1')
subplot (142)
    s1 = sin(2*pi*1*t);
    s2 = sin(2*pi*2*t+pi/2);
    plot(s1,s2,'LineWidth',1.5), grid on, title ('1:2')
subplot (143)
    s1 = sin(2*pi*1*t);
    s2 = sin(2*pi*3*t+pi/2);
    plot(s1,s2,'LineWidth',1.5), grid on, title ('1:3')
subplot (144)
    s1 = sin(2*pi*2*t);
    s2 = sin(2*pi*3*t+pi/2);
    plot(s1,s2,'LineWidth',1.5), grid on, title ('2:3')
