% Analýza LFCH sústavy II. rádu - jej inverzný prenos
% (z pásmového priepustu dostávame pásmovú zádrž)
clc, format compact
w0=1; d=0.02;

num=[1 10 1*w0^2];  % [10 w0^2] [1 10 w0^2] [1 10 w0^2]
den=[1 2*d*w0 w0^2];

subplot(2,2,1)
    F=tf(num,den), bode(F), grid on, title('Bode F(j\omega)')
subplot(2,2,2)
    step(F), grid on, title('Step F(s)')
subplot(2,2,3)
    G=tf(den, num) % G(s) je inverzny prenos ku F(s)
    bode(G),grid on, title('Bode G(j\omega)=1/F(j\omega)')
subplot(2,2,4)
        step(G),grid on, title('Step G(s)=1/F(s)')



